Page MenuHomePhabricator

[analyzer][NFC] Inline loc::ConcreteInt::evalBinOp
ClosedPublic

Authored by steakhal on May 21 2022, 12:13 PM.

Details

Summary

This patch also refactored some of the enclosing parts.

Diff Detail

Event Timeline

steakhal created this revision.May 21 2022, 12:13 PM
Herald added a project: Restricted Project. · View Herald Transcript
steakhal requested review of this revision.May 21 2022, 12:13 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 21 2022, 12:13 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
martong accepted this revision.May 23 2022, 4:57 AM

Looks, good, but it was a struggle to follow if you did the inlining right or not. TBH, someone else should also check it.

This revision is now accepted and ready to land.May 23 2022, 4:57 AM
This revision was landed with ongoing or failed builds.May 27 2022, 1:08 AM
This revision was automatically updated to reflect the committed changes.